FICONV(1)

NAME
ficonv - obtaining and evaluating convolution transformations

SYNOPSIS
ficonv [options] [-r <reference>] [-i <input>] [-o <output>]

DESCRIPTION
The purpose of this program is twofold. First, using a reference and input FITS image, the program tries to figure out the best-fit convolution kernel which transforms the reference image to the input image. The convolution kernel solution is saved as a separate, human-readable file. Second, using an existing such kernel solution file, `ficonv` convolves the reference image and optionally co-adds an additional image to the result. The program figures out the desired mode (i.e. whether to fit a convolution kernel or use an existing kernel solution to convolve an image) from the presence or lack of the command line options.

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-r, --reference, --input-reference <image file>
    Name of the reference FITS image file.

-i, --input <image file>
    Name of the input FITS image file (required only for kernel fitting).

-k, --kernel, --kernels <kernel set>
    List of kernel bases used for fitting convolution kernel.See also "Kernel specifications" below for the format of this <kernel set> argument.

--input-kernel-list <file>
    Name of the file containing kernel bases. The kernel bases in this file should have no associated coefficients if convolution fitting is done, otherwise the kernel basis file must contain the convolution coefficients

--output-kernel-list <file>
    Name of the file where the coefficients for the kernel bases are stored after convolution kernel fitting

-o, --output, --output-convolved <image file>
    Name of the output file which is the reference image convolved with the kernel solution (which can either be a previously fitted and now read from a file or the result of the current fit)

--output-subtracted <image file>
    The difference between the input image and the convolved reference image.

-a, --add-to <image file>
    This optionally specified file is added to the convolved image

-M, --input-mask <fits>
    Input mask file to co-add to output image mask.

-n, --iterations <iterations>
    Use an iterative fit with the rejection of the outlier pixels.The maximum number of iterations should be specified with this command line argument

-s, --rejection-level <sigma>
    Rejection level in standard deviation units.

  Kernel specifications (each separated with a semi-colon, ;"):"

i/<spatial order>
    identity kernel (a.k.a. "flux term") with the specified order of polynomial spatial variations

b/<spatial order>
    constant offset kernel (a.k.a. "background term") with the specified order of polynomial spatial variations

d=<size>/<spatial order>
    discrete kernel with the half-size of <size> and the specified order of polynomial spatial variations

g=<size>,<sigma>,<order>/<spatial order>
    Gaussian kernel with the half-size of <size>, standard deviation of <sigma> and Hermite basis order of <order>, with the specified order of polynomial spatial variations

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>